Package org.apache.sling.contentparser.testutils

## Class TestUtils

- java.lang.Object
- - org.apache.sling.contentparser.testutils.TestUtils

    public final class TestUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static ContentElement` `parse​(org.apache.sling.contentparser.api.ContentParser contentParser, java.io.File file)`
`static ContentElement` `parse​(org.apache.sling.contentparser.api.ContentParser contentParser, java.lang.String jsonContent)`
`static ContentElement` `parse​(org.apache.sling.contentparser.api.ContentParser contentParser, org.apache.sling.contentparser.api.ParserOptions parserOptions, java.io.File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static ContentElement parse​(org.apache.sling.contentparser.api.ContentParser contentParser,
                                       java.io.File file)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### parse

    public static ContentElement parse​(org.apache.sling.contentparser.api.ContentParser contentParser,
                                       org.apache.sling.contentparser.api.ParserOptions parserOptions,
                                       java.io.File file)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### parse

    public static ContentElement parse​(org.apache.sling.contentparser.api.ContentParser contentParser,
                                       java.lang.String jsonContent)
                                throws java.io.IOException

Throws:
  `java.io.IOException`